> For the complete documentation index, see [llms.txt](https://docs.auterion.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.auterion.com/app-development/resources/skynode-vision-kit-s/install-and-test-a-simple-vision-app.md).

# Install and test a simple vision app

## Verify your development environment

Before proceeding, ensure that you have successfully set up your development environment.

{% content-ref url="/pages/VCu3tneKh1CEejgtB6Sp" %}
[Development environment Setup](/app-development/app-development/application-development.md)
{% endcontent-ref %}

It is also recommended that you be familiar with the app development workflow.

{% content-ref url="/pages/FuAv9g84iWZKBc6BAK0p" %}
[Application Development](/app-development/app-development/application-development-1.md)
{% endcontent-ref %}

## Download the source code

o access the application's source code, you need to be part of the Auterion Developer program. ollow [these instructions](/app-development/app-development.md) to .

{% hint style="info" %}
The ision it example is available App Examples v3.
{% endhint %}

Download the folder and extract the ision it example to your PC.

## Build and install the app

In the root directory of the example, run the following commands to build and subsequently install the app on your device:

```bash
auterion-cli app build
auterion-cli app install
```

The app `com.auterion.vision-kit-example` should now be listed in the installed apps section. You can verify that via WebUI or via the `auterion-cli app list` command.

## App functionality

The app runs a ROS2 node which performs the following steps:

1. Subscribe to image messages on the `/camera/image_raw` ROS2 topic.
2. For each YUV422-encoded image received, compute the average brightness (Y) component of all pixels in the image.
3. Publish the result on the `/image_statistics/average_brightness` ROS2 topic.

## Inspect the output

Connect to Skynode via SSH and source ROS2. You can then observe the computed average brightness component on the topic configured in the app:

```bash
pc> ssh root@10.41.1.1    #SSH into Skynode

host> docker ps     #Copy the container ID for the desired app
host> docker exec -ti <container-id> /bin/bash

app> source /opt/ros/humble/setup.bash
app> ros2 topic echo /image_statistics/average_brightness
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.auterion.com/app-development/resources/skynode-vision-kit-s/install-and-test-a-simple-vision-app.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
